'use strict';

const { getMongoDBClient } = require('../index');

const getLoadouts = async (playerId, options = {}) => {
  const { db } = await getMongoDBClient();
  const res = await db.collection('script.loadouts').findOne({ _id: playerId }, options);

  return res.loadouts;
};
module.exports = getLoadouts;
